Bug 157022 - Remove the build flag for template elements
Summary: Remove the build flag for template elements
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on:
Blocks: 143519
  Show dependency treegraph
 
Reported: 2016-04-25 21:43 PDT by Ryosuke Niwa
Modified: 2016-06-04 15:59 PDT (History)
3 users (show)

See Also:


Attachments
Cleanup (95.75 KB, patch)
2016-04-25 21:49 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fixed a change log (95.42 KB, patch)
2016-04-25 21:51 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fixes the bug (14.84 KB, text/plain)
2016-04-26 00:26 PDT, Ryosuke Niwa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2016-04-25 21:43:49 PDT
Remove the build flag for template elements
Comment 1 Ryosuke Niwa 2016-04-25 21:48:56 PDT
This feature is enabled by all ports, and we've been shipping this feature for a while.  Since this affects the parser behavior, it seems inconceivable that we'll ever disable this feature or that any port can successfully ship a Web-Compatible browser without this feature enabled. Since this feature has a lot of invasive changes to the HTML parser, we're better off not having this build flag.
Comment 2 Ryosuke Niwa 2016-04-25 21:49:24 PDT
Created attachment 277333 [details]
Cleanup
Comment 3 Ryosuke Niwa 2016-04-25 21:51:29 PDT
Created attachment 277334 [details]
Fixed a change log
Comment 4 Ryosuke Niwa 2016-04-25 22:55:45 PDT
Committed r200075: <http://trac.webkit.org/changeset/200075>
Comment 5 Ryosuke Niwa 2016-04-26 00:26:10 PDT
Reopening to attach new patch.
Comment 6 Ryosuke Niwa 2016-04-26 00:26:13 PDT
Created attachment 277348 [details]
Fixes the bug
Comment 7 Ryosuke Niwa 2016-04-26 00:26:47 PDT
Comment on attachment 277348 [details]
Fixes the bug

Oops, wrong bug.
Comment 8 Ryosuke Niwa 2016-06-04 15:59:05 PDT
Done in http://trac.webkit.org/changeset/200075.